# -*- coding: utf-8 -*-
from mongoengine.django.auth import User
from mongoengine import *
from mongoengine.queryset import DENY

class Profile(Document):
    user = ReferenceField(User, reverse_delete_rule=DENY, required=True)
    blacklist = ListField(StringField())

    meta = {
        'indexes': ['blacklist'],
        }
